<?xml version="1.0" encoding="UTF-8"?>
<configuration scan="true">
	
	<!--<appender name="LOKI" class="com.github.loki4j.logback.Loki4jAppender">
	    <http>
	        <url>http://192.168.0.123:3100/loki/api/v1/push</url>
	    </http>
	    <format>
	        <label>
	            <pattern>app=zwyy,host=${HOSTNAME},level=%level</pattern>
	        </label>
	        <message>
	             <pattern>l=%level h=${HOSTNAME} c=%logger{20} t=%thread | %msg %ex</pattern> 
	            <pattern>%d{yyyy-MM-dd HH-mm-ss.SSSXXX} [%thread] %-5level %logger{36} -%kvp- %msg%n</pattern>
	        </message>
	        <sortByTime>true</sortByTime>
	    </format>
	</appender>-->
	
	<appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
	    <!-- encoders are assigned the type
	         ch.qos.logback.classic.encoder.PatternLayoutEncoder by default -->
	    <encoder>
	      <pattern>%d{yyyy-MM-dd HH-mm-ss.SSSXXX} [%thread] %-5level %logger{36} -%kvp- %msg%n</pattern>
	    </encoder>
  	</appender>

	<!--<appender name="FILE" class="ch.qos.logback.core.FileAppender">
		<file>testFile.log</file>
		<append>true</append>
		 encoders are assigned the type
            ch.qos.logback.classic.encoder.PatternLayoutEncoder by default 
		<encoder>
			<pattern>%d{yyyy-MM-dd HH-mm-ss.SSSXXX} [%thread] %-5level %logger{36} -%kvp- %msg%n</pattern>
		</encoder>
	</appender>-->

	<logger name="jj.tech.paolu">
	    <level value="info"/>
	</logger>
	<logger name="org.springframework.jdbc.core">
	    <level value="info"/>
	</logger>
	<logger name="org.springframework.jdbc.support">
	    <level value="info"/>
	</logger>
	
	
	<root level="info">
	    <appender-ref ref="STDOUT" />
		<!--<appender-ref ref="FILE" />-->
	</root>
	

</configuration>